/* ===== Golden Buttons & Bar ===== */
.golden-btn + .golden-btn {
  margin-top: 1em;
}

.golden-bar {
  display: inline-block;
  outline: none;
  font-weight: bold;
  box-sizing: border-box;
  border: none;
  border-radius: .3em;
  box-shadow: 0 3px 6px rgba(0, 0, 0, .16),
              0 3px 6px rgba(110, 80, 20, .4),
              inset 0 -2px 5px 1px rgba(139, 66, 8, 1),
              inset 0 -1px 1px 3px rgba(250, 227, 133, 1);
  background-image: linear-gradient(160deg, #a54e07, #b47e11, #fef1a2, #bc881b, #a54e07);
  border: 1px solid #a55d07;
  color: #432c00;
  text-shadow: 0 2px 2px rgba(250, 227, 133, 1);
  transition: all .2s ease-in-out;
  background-size: 100% 100%;
  background-position: center;
  text-align: center;
  min-width: 80px;
}

.golden-btn {
  display: inline-block;
  outline: none;
  font-family: inherit;
  font-size: 1em;
  font-weight: bold;
  box-sizing: border-box;
  border: none;
  border-radius: .3em;
  height: 2.75em;
  line-height: 2.5em;
  text-transform: uppercase;
  padding: 0 1em;
  box-shadow: 0 3px 6px rgba(0, 0, 0, .16),
              0 3px 6px rgba(110, 80, 20, .4),
              inset 0 -2px 5px 1px rgba(139, 66, 8, 1),
              inset 0 -1px 1px 3px rgba(250, 227, 133, 1);
  background-image: linear-gradient(160deg, #a54e07, #b47e11, #fef1a2, #bc881b, #a54e07);
  border: 1px solid #a55d07;
  color: #432c00;
  text-shadow: 0 2px 2px rgba(250, 227, 133, 1);
  transition: all .2s ease-in-out;
  background-size: 100% 100%;
  background-position: center;
  text-align: center;
  min-width: 100px;
}

.golden-btn:focus,
.golden-btn:hover {
  background-size: 150% 150%;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19),
              0 6px 6px rgba(0, 0, 0, 0.23),
              inset 0 -2px 5px 1px #b17d10,
              inset 0 -1px 1px 3px rgba(250, 227, 133, 1);
  border: 1px solid rgba(165, 93, 7, .6);
  color: rgba(120, 50, 5, .8);
}

.golden-btn:active {
  box-shadow: 0 3px 6px rgba(0, 0, 0, .16),
              0 3px 6px rgba(110, 80, 20, .4),
              inset 0 -2px 5px 1px #b17d10,
              inset 0 -1px 1px 3px rgba(250, 227, 133, 1);
}

/* ===== Red Buttons & Bar ===== */
.red-btn + .red-btn {
  margin-top: 1em;
}

.red-bar {
  display: inline-block;
  outline: none;
  box-sizing: border-box;
  border: none;
  border-radius: .3em;
  box-shadow: 0 3px 6px rgba(0, 0, 0, .16),
              0 3px 6px rgba(0, 0, 0, 0.23),
              inset 0 -2px 5px 1px #8b0808,
              inset 0 -1px 1px 3px #fa7171;
  background-image: linear-gradient(160deg, #a50707, #b41111, #fea2a2, #bc1b1b, #a50707);
  border: 1px solid #a50707;
  color: #432c00;
  font-weight: bold;
  text-shadow: 0 2px 2px #ff8585;
  cursor: pointer;
  transition: all .2s ease-in-out;
  background-size: 100% 100%;
  background-position: center;
  text-align: center;
  min-width: 80px;
}

.red-btn {
  display: inline-block;
  outline: none;
  font-family: inherit;
  font-size: 1em;
  box-sizing: border-box;
  border: none;
  border-radius: .3em;
  height: 2.75em;
  line-height: 2.5em;
  text-transform: uppercase;
  padding: 0 1em;
  box-shadow: 0 3px 6px rgba(0, 0, 0, .16),
              0 3px 6px rgba(0, 0, 0, 0.23),
              inset 0 -2px 5px 1px #8b0808,
              inset 0 -1px 1px 3px #fa7171;
  background-image: linear-gradient(160deg, #a50707, #b41111, #fea2a2, #bc1b1b, #a50707);
  border: 1px solid #a50707;
  color: #432c00;
  font-weight: bold;
  text-shadow: 0 2px 2px #ff8585;
  cursor: pointer;
  transition: all .2s ease-in-out;
  background-size: 100% 100%;
  background-position: center;
  text-align: center;
}

.red-btn:focus,
.red-btn:hover {
  background-size: 150% 150%;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19),
              0 6px 6px rgba(0, 0, 0, 0.23),
              inset 0 -2px 5px 1px #b17d10,
              inset 0 -1px 1px 3px #fa7171;
  border: 1px solid rgba(165, 93, 7, .6);
  color: rgba(120, 50, 5, .8);
}

.red-btn:active {
  box-shadow: 0 3px 6px rgba(0, 0, 0, .16),
              0 3px 6px rgba(0, 0, 0, 0.23),
              inset 0 -2px 5px 1px #b17d10,
              inset 0 -1px 1px 3px #fa7171;
}

.btn-account {
  overflow: hidden;
}

/* ===== Neon Text ===== */
.neontext {
  font-family: 'advanced_led_board-7regular';
  background-image: linear-gradient(
    to right,
    #462523 0,
    #cb9b51 22%,
    #f6e27a 45%,
    #f6f2c0 50%,
    #f6e27a 55%,
    #cb9b51 78%,
    #462523 100%
  );
  color: transparent;
  -webkit-background-clip: text;
}

/* ===== Jackpot Gold ===== */
.jackpot-gold img {
  filter: contrast(100%) hue-rotate(75deg) brightness(1.5);
  background-size: 100% 100%;
  width: 100%;
}

.jackpot-gold {
  position: relative;
  text-align: center;
  margin: 0 auto;
  background-size: 100% 100%;
  filter: none !important;
  width: 100%;
  max-width: 800px;
}

.jackpot-gold h2 {
  position: absolute;
  left: 0;
  right: 0;
  display: inline-block;
  outline: none;
  box-sizing: border-box;
  border: none;
  border-radius: .3em;
  text-transform: uppercase;
  box-shadow: 0 3px 6px rgba(0, 0, 0, .16),
              0 3px 6px rgba(110, 80, 20, .4),
              inset 0 -2px 5px 1px rgba(139, 66, 8, 1),
              inset 0 -1px 1px 3px rgba(250, 227, 133, 1);
  background-image: linear-gradient(160deg, #a54e07, #b47e11, #fef1a2, #bc881b, #a54e07);
  border: 1px solid #a55d07;
  color: #281b01;
  font-weight: bold;
  text-shadow: 0 2px 2px rgba(250, 227, 133, 1);
  transition: all .2s ease-in-out;
  background-size: 100% 100%;
  background-position: center;
  top: -4px;
  font-size: 16px !important;
  max-width: 290px !important;
  margin: 0 auto;
  z-index: 5;
}

.popup-image-wrapper {
  height: 300px;
}

/* ===== Game List ===== */
.game-list-content {
  position: relative;
}

.game-ceklis.new-icon {
  position: absolute;
  top: 5px; /* Adjust as needed */
  right: 5px; /* Adjust as needed */
  z-index: 10;
}

.game-ceklis img {
  width: 24px; /* Adjust size as needed */
  height: auto; /* Maintain aspect ratio */
}

/* ===== Twin Images and Text Styling ===== */
img.twin3,
img[class~=twin5],
img.twin4,
img.twin1,
img[class~=twin2] {
  width: 15% !important;
  background: linear-gradient(160deg, #d400ff, #ef00f7, #f291ff, #c600f7, #a200ff);
  border-radius: 5px;
}

.teks2,
img.twin1 {
  text-align: center !important;
}

img[class~=twin2],
img[class~=twin5],
img.twin4,
img.twin3 {
  margin-left: 1pc;
}

.teks2 {
  text-align: justify;
  color: #fff;
  font-size: .15625in;
  margin-top: 0in;
  margin-bottom: 0px;
  font-family: "Russo-One";
}

/* ===== Popup Banner ===== */
#PopupBanner {
  height: 160px;
  background: #333;
  border: solid 2px #fff;
  border-radius: 7px;
}

.modal-content {
  height: 95%;
}

.close-modal span {
  color: #AAA;
}

.modal-body {
  padding: 0px;
  margin-top: 0px;
}

#PopupBanner .modal-body {
  margin: 0;
  padding: 0;
  max-height: none;
}

#PopupBanner .modal-content {
  margin: 0;
  padding: 0;
}

.modal-dialog {
  margin: auto;
}

.modal-header {
  padding: 0;
}

#PopupBanner .close {
  background: darkred;
  position: absolute;
  z-index: 99;
  top: -7px;
  right: 0;
  width: 25px;
  height: 35px;
  padding: 0;
  margin: 0;
}

.game-title {
  top: -19px;
}

.myback-img {
  height: 127px;
}

.box-pull {
  zoom: 70%;
}

.exmc {
  width: 100%;
  padding: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.exmb {
  width: 61px;
  border: none;
  background: #222;
  height: 61px;
  margin: 3px;
  border-radius: 11px;
}

#poolnumberresult > .item {
  width: 80px;
}

.index-body {
  background: url() no-repeat fixed rgb(0, 0, 0);
}

h1,
h2,
h3,
h4 {
  color: #40b9ff;
}

/* ===== Snackbar ===== */
body {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

#snackbar {
  visibility: hidden;
  min-width: 220px;
  margin-left: -159px;
  background: linear-gradient(
    to right,
    rgb(249 255 12 / 0%),
    rgba(19, 20, 24, 0.616) 30%,
    rgba(19, 20, 24, 0.616) 70%,
    rgb(249 255 12 / 0%)
  );
  color: #ffe69d;
  text-align: center;
  border-top: 2px solid rgb(177, 108, 0);
  border-bottom: 2px solid rgb(177, 108, 0);
  padding: 16px;
  position: fixed;
  z-index: 9999; /* Ubah z-index agar lebih tinggi dari elemen lainnya */
  left: 50%;
  bottom: 530px;
  font-size: 13px;
  font-weight: bold;
  transition: transform 0.5s ease-in-out, opacity 0.5s ease-in-out; /* Transisi opacity dan transform */
  opacity: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 10px;
  transform: translateY(0);
}

#snackbar::before {
  content: '';
  position: absolute;
  top: 0;
  left: -50px;
  right: -50px;
  bottom: 0;
  background: rgba(0, 0, 0, 0.315);
  filter: blur(10px);
  border-radius: 5px;
  z-index: -1;
}

#snackbar.show {
  visibility: visible;
  opacity: 1;
  transform: translateY(0);
}

#snackbar.hide {
  opacity: 0;
  transform: translateY(-30px); /* Geser ke atas saat menghilang */
  visibility: visible;
}

/* ===== Custom Style ===== */
.custom-style {
  width: 15% !important;
  background: firebrick; /* Ganti dengan warna yang diinginkan (misal: blue, lemonchiffon, atau kode hex) */
  border-radius: 20px;   /* Pastikan satuan (px) digunakan untuk nilai border-radius */
}
